---------------------------------------------------
-- HumanTeam (v1.0.1)  Created by Amaguya #11768
---------------------------------------------------

-- ###########################################################
-- Set human team (0=Any, 1=Terrorist, 2=Counter-Terrorist)
-- If you want human to join Terrorist only, set value to 1. (humanTeam = 1)

   humanTeam  =  0


-- ###########################################################
-- Set a message for joining wrong team.

   humanTeamStringT   =  "# You must join Terrorist! #@C"
   humanTeamStringCT  =  "# You must join Counter-Terrorist! #@C"


-- ###########################################################
-- Set a sound for joining wrong team.

   humanTeamErrorSnd  =  "wpn_denyselect.wav"


-- ###########################################################

------------------------------------------------------------------
-- PARSE Function
------------------------------------------------------------------
addhook("parse","__parse__")
function __parse__(cmd)

	if (cmd == "mp_humanteam any")    or (cmd == "mp_humanteam 0") then
		humanTeam = 0
		msg("128255128[HumanTeam] 000255000Set mp_humanteam to 0")
		return 1

	elseif (cmd == "mp_humanteam t")  or (cmd == "mp_humanteam 1") then
		humanTeam = 1
		msg("128255128[HumanTeam] 000255000Set mp_humanteam to 1")
		for i = 1, 32 do
			if (not player(i, "bot")) and (player(i, "team") == 2) then
				parse("maket "..i)
			end
		end
		return 1

	elseif (cmd == "mp_humanteam ct") or (cmd == "mp_humanteam 2") then
		humanTeam = 2
		msg("128255128[HumanTeam] 000255000Set mp_humanteam to 2")
		for i = 1, 32 do
			if (not player(i, "bot")) and (player(i, "team") == 1) then
				parse("makect "..i)
			end
		end
		return 1
	end
end

------------------------------------------------------------------
-- TEAM Function
------------------------------------------------------------------
addhook("team","__team__")
function __team__(id,team)

	if (not player(id, "bot")) then
		if (team == 2) and (humanTeam == 1) then
			parse("sv_sound2 "..id.." "..humanTeamErrorSnd)
			msg2(id,"255025000"..humanTeamStringT)
			return 1

		elseif (team == 1) and (humanTeam == 2) then
			parse("sv_sound2 "..id.." "..humanTeamErrorSnd)
			msg2(id,"050150255"..humanTeamStringCT)
			return 1
		end
	end
end
print("-----------------------------------------------")
print("TITLE : MP_HUMANTEAM (v1.0.1)")
print("AUTHOR: Amaguya #11768")
print("-----------------------------------------------")
